aboutsummaryrefslogtreecommitdiffstats
path: root/git-commit.sh
diff options
context:
space:
mode:
authorSanti_Béjar <sbejar@gmail.com>2005-10-05 18:58:10 +0200
committerJunio C Hamano <junkio@cox.net>2005-10-05 11:23:23 -0700
commitdf34297af1fe5da786e41bd2fee58e10dd810cc4 (patch)
treedc721a63b8221995616e3013de11e71d94da01ef /git-commit.sh
parent85912b06734286108d0ec33f0479677e2fce252d (diff)
downloadgit-df34297af1fe5da786e41bd2fee58e10dd810cc4.tar.gz
[PATCH] Quote the missing GIT_DIR.
Signed-off-by: Santi Béjar <sbejar@gmail.com> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-commit.sh')
-rwxr-xr-xgit-commit.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-commit.sh b/git-commit.sh
index 5e85b54645..591fcdceb1 100755
--- a/git-commit.sh
+++ b/git-commit.sh
@@ -198,7 +198,7 @@ else
PARENTS=""
fi
git-status >>.editmsg
-if [ "$?" != "0" -a ! -f $GIT_DIR/MERGE_HEAD ]
+if [ "$?" != "0" -a ! -f "$GIT_DIR/MERGE_HEAD" ]
then
rm -f .editmsg
git-status